class CreatePopulations < ActiveRecord::Migration[6.1]
  def change
    create_table :populations do |t|
      t.integer :demographic_division_id, null: false
      t.integer :p_men
      t.integer :p_men_00a04
      t.integer :p_men_05a09
      t.integer :p_men_10a14
      t.integer :p_men_15a19
      t.integer :p_men_20a24
      t.integer :p_men_25a29
      t.integer :p_men_30a34
      t.integer :p_men_35a39
      t.integer :p_men_40a44
      t.integer :p_men_45a49
      t.integer :p_men_50a54
      t.integer :p_men_55a59
      t.integer :p_men_60a69
      t.integer :p_men_70
      t.integer :p_women
      t.integer :p_women_00a04
      t.integer :p_women_05a09
      t.integer :p_women_10a14
      t.integer :p_women_15a19
      t.integer :p_women_20a24
      t.integer :p_women_25a29
      t.integer :p_women_30a34
      t.integer :p_women_35a39
      t.integer :p_women_40a44
      t.integer :p_women_45a49
      t.integer :p_women_50a54
      t.integer :p_women_55a59
      t.integer :p_women_60a69
      t.integer :p_women_70
      t.integer :p_total
      t.integer :p_white
      t.integer :p_black
      t.integer :p_yellow
      t.integer :p_mulatto
      t.integer :p_native
      t.integer :p_men_00a04_white
      t.integer :p_men_00a04_black
      t.integer :p_men_00a04_yellow
      t.integer :p_men_00a04_mulatto
      t.integer :p_men_00a04_native
      t.integer :p_women_00a04_white
      t.integer :p_women_00a04_black
      t.integer :p_women_00a04_yellow
      t.integer :p_women_00a04_mulatto
      t.integer :p_women_00a04_native
      t.integer :p_men_05a09_white
      t.integer :p_men_05a09_black
      t.integer :p_men_05a09_yellow
      t.integer :p_men_05a09_mulatto
      t.integer :p_men_05a09_native
      t.integer :p_women_05a09_white
      t.integer :p_women_05a09_black
      t.integer :p_women_05a09_yellow
      t.integer :p_women_05a09_mulatto
      t.integer :p_women_05a09_native
      t.integer :p_men_10a14_white
      t.integer :p_men_10a14_black
      t.integer :p_men_10a14_yellow
      t.integer :p_men_10a14_mulatto
      t.integer :p_men_10a14_native
      t.integer :p_men_15a19_white
      t.integer :p_men_15a19_black
      t.integer :p_men_15a19_yellow
      t.integer :p_men_15a19_mulatto
      t.integer :p_men_15a19_native
      t.integer :p_men_20a24_white
      t.integer :p_men_20a24_black
      t.integer :p_men_20a24_yellow
      t.integer :p_men_20a24_mulatto
      t.integer :p_men_20a24_native
      t.integer :p_men_25a29_white
      t.integer :p_men_25a29_black
      t.integer :p_men_25a29_yellow
      t.integer :p_men_25a29_mulatto
      t.integer :p_men_25a29_native
      t.integer :p_men_30a34_white
      t.integer :p_men_30a34_black
      t.integer :p_men_30a34_yellow
      t.integer :p_men_30a34_mulatto
      t.integer :p_men_30a34_native
      t.integer :p_men_35a39_white
      t.integer :p_men_35a39_black
      t.integer :p_men_35a39_yellow
      t.integer :p_men_35a39_mulatto
      t.integer :p_men_35a39_native
      t.integer :p_men_40a44_white
      t.integer :p_men_40a44_black
      t.integer :p_men_40a44_yellow
      t.integer :p_men_40a44_mulatto
      t.integer :p_men_40a44_native
      t.integer :p_men_45a49_white
      t.integer :p_men_45a49_black
      t.integer :p_men_45a49_yellow
      t.integer :p_men_45a49_mulatto
      t.integer :p_men_45a49_native
      t.integer :p_men_50a54_white
      t.integer :p_men_50a54_black
      t.integer :p_men_50a54_yellow
      t.integer :p_men_50a54_mulatto
      t.integer :p_men_50a54_native
      t.integer :p_men_55a59_white
      t.integer :p_men_55a59_black
      t.integer :p_men_55a59_yellow
      t.integer :p_men_55a59_mulatto
      t.integer :p_men_55a59_native
      t.integer :p_men_60a69_white
      t.integer :p_men_60a69_black
      t.integer :p_men_60a69_yellow
      t.integer :p_men_60a69_mulatto
      t.integer :p_men_60a69_native
      t.integer :p_men_70_white
      t.integer :p_men_70_black
      t.integer :p_men_70_yellow
      t.integer :p_men_70_mulatto
      t.integer :p_men_70_native
      t.integer :p_women_10a14_white
      t.integer :p_women_10a14_black
      t.integer :p_women_10a14_yellow
      t.integer :p_women_10a14_mulatto
      t.integer :p_women_10a14_native
      t.integer :p_women_15a19_white
      t.integer :p_women_15a19_black
      t.integer :p_women_15a19_yellow
      t.integer :p_women_15a19_mulatto
      t.integer :p_women_15a19_native
      t.integer :p_women_20a24_white
      t.integer :p_women_20a24_black
      t.integer :p_women_20a24_yellow
      t.integer :p_women_20a24_mulatto
      t.integer :p_women_20a24_native
      t.integer :p_women_25a29_white
      t.integer :p_women_25a29_black
      t.integer :p_women_25a29_yellow
      t.integer :p_women_25a29_mulatto
      t.integer :p_women_25a29_native
      t.integer :p_women_30a34_white
      t.integer :p_women_30a34_black
      t.integer :p_women_30a34_yellow
      t.integer :p_women_30a34_mulatto
      t.integer :p_women_30a34_native
      t.integer :p_women_35a39_white
      t.integer :p_women_35a39_black
      t.integer :p_women_35a39_yellow
      t.integer :p_women_35a39_mulatto
      t.integer :p_women_35a39_native
      t.integer :p_women_40a44_white
      t.integer :p_women_40a44_black
      t.integer :p_women_40a44_yellow
      t.integer :p_women_40a44_mulatto
      t.integer :p_women_40a44_native
      t.integer :p_women_45a49_white
      t.integer :p_women_45a49_black
      t.integer :p_women_45a49_yellow
      t.integer :p_women_45a49_mulatto
      t.integer :p_women_45a49_native
      t.integer :p_women_50a54_white
      t.integer :p_women_50a54_black
      t.integer :p_women_50a54_yellow
      t.integer :p_women_50a54_mulatto
      t.integer :p_women_50a54_native
      t.integer :p_women_55a59_white
      t.integer :p_women_55a59_black
      t.integer :p_women_55a59_yellow
      t.integer :p_women_55a59_mulatto
      t.integer :p_women_55a59_native
      t.integer :p_women_60a69_white
      t.integer :p_women_60a69_black
      t.integer :p_women_60a69_yellow
      t.integer :p_women_60a69_mulatto
      t.integer :p_women_60a69_native
      t.integer :p_women_70_white
      t.integer :p_women_70_black
      t.integer :p_women_70_yellow
      t.integer :p_women_70_mulatto
      t.integer :p_women_70_native
      t.integer :p_men_white
      t.integer :p_men_black
      t.integer :p_men_yellow
      t.integer :p_men_mulatto
      t.integer :p_men_native
      t.integer :p_women_white
      t.integer :p_women_black
      t.integer :p_women_yellow
      t.integer :p_women_mulatto
      t.integer :p_women_native
      t.integer :p_00a04_white
      t.integer :p_00a04_black
      t.integer :p_00a04_yellow
      t.integer :p_00a04_mulatto
      t.integer :p_00a04_native
      t.integer :p_05a09_white
      t.integer :p_05a09_black
      t.integer :p_05a09_yellow
      t.integer :p_05a09_mulatto
      t.integer :p_05a09_native
      t.integer :p_10a14_white
      t.integer :p_10a14_black
      t.integer :p_10a14_yellow
      t.integer :p_10a14_mulatto
      t.integer :p_10a14_native
      t.integer :p_15a19_white
      t.integer :p_15a19_black
      t.integer :p_15a19_yellow
      t.integer :p_15a19_mulatto
      t.integer :p_15a19_native
      t.integer :p_20a24_white
      t.integer :p_20a24_black
      t.integer :p_20a24_yellow
      t.integer :p_20a24_mulatto
      t.integer :p_20a24_native
      t.integer :p_25a29_white
      t.integer :p_25a29_black
      t.integer :p_25a29_yellow
      t.integer :p_25a29_mulatto
      t.integer :p_25a29_native
      t.integer :p_30a34_white
      t.integer :p_30a34_black
      t.integer :p_30a34_yellow
      t.integer :p_30a34_mulatto
      t.integer :p_30a34_native
      t.integer :p_35a39_white
      t.integer :p_35a39_black
      t.integer :p_35a39_yellow
      t.integer :p_35a39_mulatto
      t.integer :p_35a39_native
      t.integer :p_40a44_white
      t.integer :p_40a44_black
      t.integer :p_40a44_yellow
      t.integer :p_40a44_mulatto
      t.integer :p_40a44_native
      t.integer :p_45a49_white
      t.integer :p_45a49_black
      t.integer :p_45a49_yellow
      t.integer :p_45a49_mulatto
      t.integer :p_45a49_native
      t.integer :p_50a54_white
      t.integer :p_50a54_black
      t.integer :p_50a54_yellow
      t.integer :p_50a54_mulatto
      t.integer :p_50a54_native
      t.integer :p_55a59_white
      t.integer :p_55a59_black
      t.integer :p_55a59_yellow
      t.integer :p_55a59_mulatto
      t.integer :p_55a59_native
      t.integer :p_60a69_white
      t.integer :p_60a69_black
      t.integer :p_60a69_yellow
      t.integer :p_60a69_mulatto
      t.integer :p_60a69_native
      t.integer :p_70_white
      t.integer :p_70_black
      t.integer :p_70_yellow
      t.integer :p_70_mulatto
      t.integer :p_70_native
      t.integer :p_00a04
      t.integer :p_05a09
      t.integer :p_10a14
      t.integer :p_15a19
      t.integer :p_20a24
      t.integer :p_25a29
      t.integer :p_30a34
      t.integer :p_35a39
      t.integer :p_40a44
      t.integer :p_45a49
      t.integer :p_50a54
      t.integer :p_55a59
      t.integer :p_60a69
      t.integer :p_70

      t.timestamps
      t.index :demographic_division_id, unique: true
    end
  end
end
